require 'colorize'

module Spacelift
  module Policy
    # Violation encapsulates a resource's violation of a single Rule.
    class Violation
      attr_reader :address, :rule

      def initialize(address:, rule:)
        @address = address
        @rule = rule
      end

      def to_s
        [address.red.bold, 'failed rule', rule.cyan.bold].join(' ')
      end
    end
  end
end
